Bug 21589 - Series link formed from 830 field is incorrect
Summary: Series link formed from 830 field is incorrect
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 13692
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-17 18:37 UTC by Nick Clemens
Modified: 2019-10-14 20:02 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 21589: Series link formed from 830 field is incorrect (3.69 KB, patch)
2018-10-17 18:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Sample records (1.91 KB, application/x-wine-extension-mrc)
2018-11-13 14:31 UTC, Nick Clemens
Details
Bug 21589: (follow-up) Close initial foreach loop (1.10 KB, patch)
2018-11-26 18:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21589: Series link formed from 830 field is incorrect (7.14 KB, patch)
2019-04-24 00:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21589: Series link formed from 830 field is incorrect (7.20 KB, patch)
2019-04-25 09:32 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21589: Series link formed from 830 field is incorrect (7.31 KB, patch)
2019-04-26 06:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-10-17 18:37:46 UTC
Bug 13692 corrected the series link for records using a 490/800 combination

When a record has a 490/830 conbination for series, the link is malformed (title is used as author, title is blank)
Comment 1 Kyle M Hall 2018-10-17 18:44:41 UTC
Created attachment 80750 [details] [review]
Bug 21589: Series link formed from 830 field is incorrect

Bug 13692 corrected the series link for records using a 490/800 combination

When a record has a 490/830 conbination for series, the link is malformed (title is used as author, title is blank)

Test Plan:
1) Catalog two or more records with 830 fields
2) Note the series links are broken
3) Apply this patch
4) Reload the record details page
5) The series link should now work
Comment 2 Pierre-Marc Thibault 2018-10-19 20:49:21 UTC
When I apply the patch and refresh the record detail page, the detail disappears the next moment.
Comment 3 Phil Ringnalda 2018-10-25 00:54:19 UTC
koha-tmpl/opac-tmpl/bootstrap/en/xslt/MARC21slim2OPACDetail.xsl is also affected, since bug 13692 also changed it.
Comment 4 Nick Clemens 2018-11-13 14:31:13 UTC
Created attachment 82275 [details]
Sample records
Comment 5 Nick Clemens 2018-11-26 18:41:08 UTC
Created attachment 82654 [details] [review]
Bug 21589: (follow-up) Close initial foreach loop
Comment 6 Owen Leonard 2018-12-05 16:09:37 UTC
(In reply to Phil Ringnalda from comment #3)
> koha-tmpl/opac-tmpl/bootstrap/en/xslt/MARC21slim2OPACDetail.xsl is also
> affected, since bug 13692 also changed it.

I agree that the OPAC should be addressed by this bug too.
Comment 7 Nick Clemens 2019-04-24 00:38:43 UTC
Created attachment 88582 [details] [review]
Bug 21589: Series link formed from 830 field is incorrect

Bug 13692 corrected the series link for records using a 490/800 combination

When a record has a 490/830 conbination for series, the link is malformed (title is used as author, title is blank)

Test Plan:
1) Catalog two or more records with 830 fields
2) Note the series links are broken
3) Apply this patch
4) Reload the record details page
5) The series link should now work
6) Repeat for the OPAC
Comment 8 Claire Gravely 2019-04-25 09:32:04 UTC
Created attachment 88734 [details] [review]
Bug 21589: Series link formed from 830 field is incorrect

Bug 13692 corrected the series link for records using a 490/800 combination

When a record has a 490/830 conbination for series, the link is malformed (title is used as author, title is blank)

Test Plan:
1) Catalog two or more records with 830 fields
2) Note the series links are broken
3) Apply this patch
4) Reload the record details page
5) The series link should now work
6) Repeat for the OPAC

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 9 Marcel de Rooy 2019-04-26 06:27:25 UTC
QA: Looking here
Comment 10 Marcel de Rooy 2019-04-26 06:42:11 UTC
Created attachment 88849 [details] [review]
Bug 21589: Series link formed from 830 field is incorrect

Bug 13692 corrected the series link for records using a 490/800 combination

When a record has a 490/830 conbination for series, the link is malformed (title is used as author, title is blank)

Test Plan:
1) Catalog two or more records with 830 fields
2) Note the series links are broken
3) Apply this patch
4) Reload the record details page
5) The series link should now work
6) Repeat for the OPAC

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 11 Nick Clemens 2019-04-26 12:40:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-04-26 15:55:07 UTC
Pushed to 18.11.x for 18.11.05
Comment 13 Lucas Gass 2019-05-24 16:24:59 UTC
backported to 18.05.x for 18.05.13